//	Zinc Interface Library - Z_WINDOW.CPP
//	COPYRIGHT (C) 1990-1995.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA
/* This file is part of OpenZinc

OpenZinc is free software: You can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the license or
 (at your option) any later version.

OpenZinc is distributed in the hope that it will be useful,
but without ANY WARRANTY; without even the implied warranty of
MARCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lessor Public license for more details

You should have received a copy of the GNU Lessor Public License
along with OpenZinc. If not, see <http://www.gnu.org/licenses/>.
*/


#include "i18n.hpp"
#define USE_UIW_WINDOW
#include "p_i18n.hpp"

// ----- UIW_WINDOW ---------------------------------------------------------

void ZAF_LANGUAGE_WINDOW::UIW_WINDOW_DataLoad(void)
{
	// Load the object data.
	SetText(OBJECT_ERROR, -1);
	SetText(UNKNOWN_OBJECT, ZIL_UNK_OBJ);
	SetText(OBJECT_NOT_FOUND, ZIL_NO_OBJ);
	SetText(FILE_NOT_FOUND, ZIL_NO_FILE);
}

void ZAF_LANGUAGE_WINDOW::UIW_WINDOW_DataStore(void)
{
	// Store the object data.
	GetText(OBJECT_ERROR, -1);
	GetText(UNKNOWN_OBJECT, ZIL_UNK_OBJ);
	GetText(OBJECT_NOT_FOUND, ZIL_NO_OBJ);
	GetText(FILE_NOT_FOUND, ZIL_NO_FILE);
}

